@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap');
:root {
    --sizeSidebar : 270px;
}
html, body{
    height: 100vh;
}

*, * * {
    font-family: "poppins";
    font-size: 14px;
}
/* Ajustes de login */
.loginmain{
    width: min(420px, 99%);
}

.layout{
    display: grid;
}
.layout-sidebar{
    width: var(--sizeSidebar);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100vh;
}
.layout-sidebar header {
    height: 180px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.layout-sidebar nav {
    display: flex;
    flex-direction: column;
    overflow-y: auto;
    height: calc(100vh - 180px);
}
.layout-contenedor{
    width: calc(100% - var(--sizeSidebar));
    padding: 1rem;
    max-height: 100vh;
    overflow-y: auto;
    box-sizing: border-box;
}


/* SECTION Galeria de imagenes */
#galeria{
    margin: 1rem auto;
    width: 100%;
    columns: 5 340px;
    column-gap: 10px;
}
#galeria img{
    width: 100%;
    display: block;
    object-fit: contain;
    margin-bottom: 10px;
}

.galeria-item{
    position: relative;
}
.galeria-item-info{
    background-color: rgba(0, 0, 0, 0.596);
    position: absolute;
    text-align: center;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    display: grid;
    place-content: center;
    opacity: 0;
    transition: all .3s ease-in-out;
    -webkit-transition: all .3s ease-in-out;
    -moz-transition: all .3s ease-in-out;
    -ms-transition: all .3s ease-in-out;
    -o-transition: all .3s ease-in-out;
}
.galeria-item:hover .galeria-item-info{
    opacity: 1;
}
.galeria-titulo{
    color: white;
}
.galeria-item-info .btn {
    width: fit-content;
    margin: auto;
}

/* !SECTION Final de la galeria */

/* SECTION DEL MAPA */
svg .lotesvg{
    cursor: pointer !important;
    fill: #ffffff00;
}
svg .lotesvg:hover{
    fill: #32c0195d !important;
    stroke: #038820;
}
svg .lotesvg:active{
    fill: #a6eb9a7c !important;
    outline: none !important;
}
svg .lotesvg:focus{
    outline: none !important;
}


.icoLoteDetails{
    height: 40px;
    width: 40px;
    display: grid;
    place-content: center;
}


